
From: Christophe Saout <christophe@saout.de>


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/dm-zero.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/md/dm-zero.c~dm-zero-flushing-fix drivers/md/dm-zero.c
--- 25/drivers/md/dm-zero.c~dm-zero-flushing-fix	Wed Jun  2 15:00:40 2004
+++ 25-akpm/drivers/md/dm-zero.c	Wed Jun  2 15:00:40 2004
@@ -35,7 +35,8 @@ static void zero_fill_bio(struct bio *bi
 	bio_for_each_segment(bv, bio, i) {
 		char *data = bvec_kmap_irq(bv, &flags);
 		memset(data, 0, bv->bv_len);
-		bvec_kunmap_irq(bv, &flags);
+		flush_dcache_page(bv->bv_page);
+		bvec_kunmap_irq(data, &flags);
 	}
 }
 
_
